FROM ubuntu:latest AS builder

RUN apt-get update && apt-get -y install clang llvm lld make xorriso

WORKDIR /usr/src/MOP3

COPY . .

ARG bt

RUN ./aux/devel.sh $bt

FROM scratch
COPY --from=builder /usr/src/MOP3/mop3.iso /mop3.iso
